/*
 *  Version information
 *
 *  Copyright (C) 2011, EnterSafe
 *
 *  All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 */

#include "es_ssl/config.h"

#if defined(ES_SSL_VERSION_C)

#include "es_ssl/version.h"
#include <string.h>

const char version[] = ES_SSL_VERSION_STRING;

unsigned int version_get_number()
{
    return ES_SSL_VERSION_NUMBER;
}

void version_get_string( char *string )
{
    memcpy( string, ES_SSL_VERSION_STRING, sizeof( ES_SSL_VERSION_STRING ) );
}

void version_get_string_full( char *string )
{
    memcpy( string, ES_SSL_VERSION_STRING_FULL, sizeof( ES_SSL_VERSION_STRING_FULL ) );
}

#endif /* ES_SSL_VERSION_C */
